%define major		3
%define libname		%mklibname netfilter_conntrack %{major}
%define develname	%mklibname netfilter_conntrack -d

Summary:	Interface to the in-kernel connection tracking state table
Name:		libnetfilter_conntrack
Version:	1.0.8
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.netfilter.org/projects/%{name}/
Source0:	http://www.netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(libmnl) >= 1.0.3
BuildRequires:	pkgconfig(libnfnetlink) >= 1.0.0

%description
A libnetfilter_conntrack is a userspace library providing a programming \
interface (API) to the in-kernel connection tracking state table.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	netfilter_conntrack-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}*.h
%{_includedir}/%{name}/linux_nfnetlink_conntrack.h
%{_includedir}/%{name}/linux_nf_conntrack_common.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Apr 28 2020 daviddavid <daviddavid> 1.0.8-1.mga8
+ Revision: 1572612
- new version: 1.0.8

* Thu Feb 13 2020 umeabot <umeabot> 1.0.7-3.mga8
+ Revision: 1514296
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.7-2.mga7
+ Revision: 1299038
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 1.0.7-1.mga7
+ Revision: 1229943
- new version: 1.0.7

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.0.6-1.mga6
+ Revision: 1051191
- 1.0.6

* Thu Feb 11 2016 umeabot <umeabot> 1.0.5-2.mga6
+ Revision: 955604
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 tmb <tmb> 1.0.5-1.mga6
+ Revision: 885675
- update to 1.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 749929
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-4.mga5
+ Revision: 726809
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 681637
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 532909
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 oden <oden> 1.0.4-1.mga4
+ Revision: 470299
- 1.0.4

* Sun May 26 2013 blino <blino> 1.0.3-1.mga4
+ Revision: 427726
- 1.0.3

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 357833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 303752
- update br
- new version 1.0.2

* Mon May 21 2012 blino <blino> 1.0.1-1.mga3
+ Revision: 235989
- 1.0.1
- use mkrel
- imported package libnetfilter_conntrack


* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3
+ Revision: 791292
- rebuild
- rebuild
- make sure it backports, something that's totally neglected in the current rpm development frenzy

* Mon Apr 16 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2
+ Revision: 791224
- various fixes

* Sun Feb 19 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1
+ Revision: 777365
- update to new version 1.0.0

* Thu Mar 03 2011 Eugeni Dodonov <eugeni@mandriva.com> 0.9.1-1
+ Revision: 641469
- Updated to 0.9.1

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.101-2mdv2011.0
+ Revision: 609763
- rebuild

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.101-1mdv2010.1
+ Revision: 512437
- bump major to 3
- obsolete old library
- drop patch0
- update to new version 0.0.101
- spec file clean

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.0.99-2mdv2010.0
+ Revision: 438718
- rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix build with -Werror=format-security

* Thu Jan 08 2009 Jérôme Soyer <saispo@mandriva.org> 0.0.99-1mdv2009.1
+ Revision: 327170
- New upstream version
  Fix -Werror=format-security error

* Sun Dec 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.98-1mdv2009.1
+ Revision: 311656
- update to new version 0.0.98

* Sat Aug 16 2008 Funda Wang <fwang@mandriva.org> 0.0.96-1mdv2009.0
+ Revision: 272610
- fix BR
- obsoletes old devel package

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.0.96
    - new license policy
    - update file list
    - use macros
    - spec file clean
    - run ldconfig on %%post and %%postun for mdv versions older than 2009.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jan 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.0.82-1mdv2008.1
+ Revision: 144878
- New release

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Michael Scherer <misc@mandriva.org> 0.0.81-1mdv2008.1
+ Revision: 97579
- update to 0.0.81

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary-ended-with-dot

* Sun May 27 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 0.0.31-2mdv2008.0
+ Revision: 31704
- force rebuild


* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 0.0.31-1mdv2007.0
+ Revision: 84793
- initial libnetfilter_conntrack release
- Create libnetfilter_conntrack

